﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré par un outil.
//     Version du runtime :2.0.50727.8762
//
//     Les modifications apportées à ce fichier peuvent provoquer un comportement incorrect et seront perdues si
//     le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by xsd, Version=2.0.50727.3038.
// 
namespace FnacDirect.OrderPipe.Base.Proxy.TerraData {
    using System.Xml.Serialization;


/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
[System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
public partial class PUBLISH
{

    private PUBLISHHEADER hEADERField;

    private PUBLISHCONTENT cONTENTField;

    /// <remarks/>
    public PUBLISHHEADER HEADER
    {
        get
        {
            return this.hEADERField;
        }
        set
        {
            this.hEADERField = value;
        }
    }

    /// <remarks/>
    public PUBLISHCONTENT CONTENT
    {
        get
        {
            return this.cONTENTField;
        }
        set
        {
            this.cONTENTField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHHEADER
{

    private string sENDER_IDField;

    private string rECEIVER_IDField;

    private string cOMPANYField;

    private string cOUNTRYField;

    private System.DateTime dATEField;

    private string mESSAGE_TYPEField;

    private string vERSIONField;

    private string rEFERENTIEL_IDField;

    private string aPPLICATION_SCOPEField;

    /// <remarks/>
    public string SENDER_ID
    {
        get
        {
            return this.sENDER_IDField;
        }
        set
        {
            this.sENDER_IDField = value;
        }
    }

    /// <remarks/>
    public string RECEIVER_ID
    {
        get
        {
            return this.rECEIVER_IDField;
        }
        set
        {
            this.rECEIVER_IDField = value;
        }
    }

    /// <remarks/>
    public string COMPANY
    {
        get
        {
            return this.cOMPANYField;
        }
        set
        {
            this.cOMPANYField = value;
        }
    }

    /// <remarks/>
    public string COUNTRY
    {
        get
        {
            return this.cOUNTRYField;
        }
        set
        {
            this.cOUNTRYField = value;
        }
    }

    /// <remarks/>
    public System.DateTime DATE
    {
        get
        {
            return this.dATEField;
        }
        set
        {
            this.dATEField = value;
        }
    }

    /// <remarks/>
    public string MESSAGE_TYPE
    {
        get
        {
            return this.mESSAGE_TYPEField;
        }
        set
        {
            this.mESSAGE_TYPEField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(DataType = "integer")]
    public string VERSION
    {
        get
        {
            return this.vERSIONField;
        }
        set
        {
            this.vERSIONField = value;
        }
    }

    /// <remarks/>
    public string REFERENTIEL_ID
    {
        get
        {
            return this.rEFERENTIEL_IDField;
        }
        set
        {
            this.rEFERENTIEL_IDField = value;
        }
    }

    /// <remarks/>
    public string APPLICATION_SCOPE
    {
        get
        {
            return this.aPPLICATION_SCOPEField;
        }
        set
        {
            this.aPPLICATION_SCOPEField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENT
{

    private PUBLISHCONTENTCUSTOMER cUSTOMERField;

    private PUBLISHCONTENTBASKET bASKETField;

    /// <remarks/>
    public PUBLISHCONTENTCUSTOMER CUSTOMER
    {
        get
        {
            return this.cUSTOMERField;
        }
        set
        {
            this.cUSTOMERField = value;
        }
    }

    /// <remarks/>
    public PUBLISHCONTENTBASKET BASKET
    {
        get
        {
            return this.bASKETField;
        }
        set
        {
            this.bASKETField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTCUSTOMER
{

    private PUBLISHCONTENTCUSTOMERWEB_CUSTOMER wEB_CUSTOMERField;

    private PUBLISHCONTENTCUSTOMERBILLING_ADDRESS bILLING_ADDRESSField;

    /// <remarks/>
    public PUBLISHCONTENTCUSTOMERWEB_CUSTOMER WEB_CUSTOMER
    {
        get
        {
            return this.wEB_CUSTOMERField;
        }
        set
        {
            this.wEB_CUSTOMERField = value;
        }
    }

    /// <remarks/>
    public PUBLISHCONTENTCUSTOMERBILLING_ADDRESS BILLING_ADDRESS
    {
        get
        {
            return this.bILLING_ADDRESSField;
        }
        set
        {
            this.bILLING_ADDRESSField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTCUSTOMERWEB_CUSTOMER
{

    private string cUS_IDField;

    private string cUS_EMAILField;

    private PUBLISHCONTENTCUSTOMERWEB_CUSTOMERMEMBER mEMBERField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(DataType = "integer")]
    public string CUS_ID
    {
        get
        {
            return this.cUS_IDField;
        }
        set
        {
            this.cUS_IDField = value;
        }
    }

    /// <remarks/>
    public string CUS_EMAIL
    {
        get
        {
            return this.cUS_EMAILField;
        }
        set
        {
            this.cUS_EMAILField = value;
        }
    }

    /// <remarks/>
    public PUBLISHCONTENTCUSTOMERWEB_CUSTOMERMEMBER MEMBER
    {
        get
        {
            return this.mEMBERField;
        }
        set
        {
            this.mEMBERField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTCUSTOMERWEB_CUSTOMERMEMBER
{

    private string mBR_ACCOUNT_IDField;

    private string mBR_CARD_IDField;

    /// <remarks/>
    public string MBR_ACCOUNT_ID
    {
        get
        {
            return this.mBR_ACCOUNT_IDField;
        }
        set
        {
            this.mBR_ACCOUNT_IDField = value;
        }
    }

    /// <remarks/>
    public string MBR_CARD_ID
    {
        get
        {
            return this.mBR_CARD_IDField;
        }
        set
        {
            this.mBR_CARD_IDField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTCUSTOMERBILLING_ADDRESS
{

    private string bIL_CIVILITYField;

    private string bIL_FIRSTNAMEField;

    private string bIL_LASTNAMEField;

    private string bIL_ADDR1Field;

    private string bIL_ADDR2Field;

    private string bIL_ADDR3Field;

    private string bIL_ZIPField;

    private string bIL_CITYField;

    private string bIL_STATEField;

    private string bIL_COUNTRYField;

    private string bIL_PHONEField;

    private string bIL_CELLPHONEField;

    private string bIL_FISCAL_CODEField;

    /// <remarks/>
    public string BIL_CIVILITY
    {
        get
        {
            return this.bIL_CIVILITYField;
        }
        set
        {
            this.bIL_CIVILITYField = value;
        }
    }

    /// <remarks/>
    public string BIL_FIRSTNAME
    {
        get
        {
            return this.bIL_FIRSTNAMEField;
        }
        set
        {
            this.bIL_FIRSTNAMEField = value;
        }
    }

    /// <remarks/>
    public string BIL_LASTNAME
    {
        get
        {
            return this.bIL_LASTNAMEField;
        }
        set
        {
            this.bIL_LASTNAMEField = value;
        }
    }

    /// <remarks/>
    public string BIL_ADDR1
    {
        get
        {
            return this.bIL_ADDR1Field;
        }
        set
        {
            this.bIL_ADDR1Field = value;
        }
    }

    /// <remarks/>
    public string BIL_ADDR2
    {
        get
        {
            return this.bIL_ADDR2Field;
        }
        set
        {
            this.bIL_ADDR2Field = value;
        }
    }

    /// <remarks/>
    public string BIL_ADDR3
    {
        get
        {
            return this.bIL_ADDR3Field;
        }
        set
        {
            this.bIL_ADDR3Field = value;
        }
    }

    /// <remarks/>
    public string BIL_ZIP
    {
        get
        {
            return this.bIL_ZIPField;
        }
        set
        {
            this.bIL_ZIPField = value;
        }
    }

    /// <remarks/>
    public string BIL_CITY
    {
        get
        {
            return this.bIL_CITYField;
        }
        set
        {
            this.bIL_CITYField = value;
        }
    }

    /// <remarks/>
    public string BIL_STATE
    {
        get
        {
            return this.bIL_STATEField;
        }
        set
        {
            this.bIL_STATEField = value;
        }
    }

    /// <remarks/>
    public string BIL_COUNTRY
    {
        get
        {
            return this.bIL_COUNTRYField;
        }
        set
        {
            this.bIL_COUNTRYField = value;
        }
    }

    /// <remarks/>
    public string BIL_PHONE
    {
        get
        {
            return this.bIL_PHONEField;
        }
        set
        {
            this.bIL_PHONEField = value;
        }
    }

    /// <remarks/>
    public string BIL_CELLPHONE
    {
        get
        {
            return this.bIL_CELLPHONEField;
        }
        set
        {
            this.bIL_CELLPHONEField = value;
        }
    }

    /// <remarks/>
    public string BIL_FISCAL_CODE
    {
        get
        {
            return this.bIL_FISCAL_CODEField;
        }
        set
        {
            this.bIL_FISCAL_CODEField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTBASKET
{

    private string bSK_WEB_ORDER_IDField;

    private string bSK_WEB_ORDER_CUS_REFField;

    private decimal bSK_FULLPRICEField;

    private PUBLISHCONTENTBASKETLINES[] lINESField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(DataType = "integer")]
    public string BSK_WEB_ORDER_ID
    {
        get
        {
            return this.bSK_WEB_ORDER_IDField;
        }
        set
        {
            this.bSK_WEB_ORDER_IDField = value;
        }
    }

    /// <remarks/>
    public string BSK_WEB_ORDER_CUS_REF
    {
        get
        {
            return this.bSK_WEB_ORDER_CUS_REFField;
        }
        set
        {
            this.bSK_WEB_ORDER_CUS_REFField = value;
        }
    }

    /// <remarks/>
    public decimal BSK_FULLPRICE
    {
        get
        {
            return this.bSK_FULLPRICEField;
        }
        set
        {
            this.bSK_FULLPRICEField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute("LINES")]
    public PUBLISHCONTENTBASKETLINES[] LINES
    {
        get
        {
            return this.lINESField;
        }
        set
        {
            this.lINESField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTBASKETLINES
{

    private PUBLISHCONTENTBASKETLINESLINE lINEField;

    /// <remarks/>
    public PUBLISHCONTENTBASKETLINESLINE LINE
    {
        get
        {
            return this.lINEField;
        }
        set
        {
            this.lINEField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTBASKETLINESLINE
{

    private string lIN_IDField;

    private string lIN_SKUField;

    private string lIN_QTYField;

    private System.DateTime? lIN_PROMISE_DATEField;

    private decimal lIN_UNIT_GROSSField;

    private decimal lIN_UNIT_PRICEField;

    private decimal lIN_GROSSField;

    private decimal lIN_PRICEField;

    private decimal lIN_FULLPRICEField;

    private decimal lIN_VAT_AMOUNTField;

    private decimal lIN_TAX_PRICEField;

    private decimal lIN_DSC_PRICEField;

    private string lIN_VAT_CODEField;

    private decimal lIN_VAT_RATEField;

    private PUBLISHCONTENTBASKETLINESLINEDISCOUNT[] dISCOUNTSField;

    private PUBLISHCONTENTBASKETLINESLINECARRIER cARRIERField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(DataType = "integer")]
    public string LIN_ID
    {
        get
        {
            return this.lIN_IDField;
        }
        set
        {
            this.lIN_IDField = value;
        }
    }

    /// <remarks/>
    public string LIN_SKU
    {
        get
        {
            return this.lIN_SKUField;
        }
        set
        {
            this.lIN_SKUField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(DataType = "integer")]
    public string LIN_QTY
    {
        get
        {
            return this.lIN_QTYField;
        }
        set
        {
            this.lIN_QTYField = value;
        }
    }

    /// <remarks/>
    public System.DateTime? LIN_PROMISE_DATE
    {
        get
        {
            return this.lIN_PROMISE_DATEField;
        }
        set
        {
            this.lIN_PROMISE_DATEField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_UNIT_GROSS
    {
        get
        {
            return this.lIN_UNIT_GROSSField;
        }
        set
        {
            this.lIN_UNIT_GROSSField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_UNIT_PRICE
    {
        get
        {
            return this.lIN_UNIT_PRICEField;
        }
        set
        {
            this.lIN_UNIT_PRICEField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_GROSS
    {
        get
        {
            return this.lIN_GROSSField;
        }
        set
        {
            this.lIN_GROSSField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_PRICE
    {
        get
        {
            return this.lIN_PRICEField;
        }
        set
        {
            this.lIN_PRICEField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_FULLPRICE
    {
        get
        {
            return this.lIN_FULLPRICEField;
        }
        set
        {
            this.lIN_FULLPRICEField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_VAT_AMOUNT
    {
        get
        {
            return this.lIN_VAT_AMOUNTField;
        }
        set
        {
            this.lIN_VAT_AMOUNTField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_TAX_PRICE
    {
        get
        {
            return this.lIN_TAX_PRICEField;
        }
        set
        {
            this.lIN_TAX_PRICEField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_DSC_PRICE
    {
        get
        {
            return this.lIN_DSC_PRICEField;
        }
        set
        {
            this.lIN_DSC_PRICEField = value;
        }
    }

    /// <remarks/>
    public string LIN_VAT_CODE
    {
        get
        {
            return this.lIN_VAT_CODEField;
        }
        set
        {
            this.lIN_VAT_CODEField = value;
        }
    }

    /// <remarks/>
    public decimal LIN_VAT_RATE
    {
        get
        {
            return this.lIN_VAT_RATEField;
        }
        set
        {
            this.lIN_VAT_RATEField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItemAttribute("DISCOUNT", IsNullable = false)]
    public PUBLISHCONTENTBASKETLINESLINEDISCOUNT[] DISCOUNTS
    {
        get
        {
            return this.dISCOUNTSField;
        }
        set
        {
            this.dISCOUNTSField = value;
        }
    }

    /// <remarks/>
    public PUBLISHCONTENTBASKETLINESLINECARRIER CARRIER
    {
        get
        {
            return this.cARRIERField;
        }
        set
        {
            this.cARRIERField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTBASKETLINESLINEDISCOUNT
{

    private string dSC_TYPEField;

    private string dSC_REASONField;

    private string dSC_PROMOTION_IDField;

    private decimal dSC_UNIT_PRICEField;

    /// <remarks/>
    public string DSC_TYPE
    {
        get
        {
            return this.dSC_TYPEField;
        }
        set
        {
            this.dSC_TYPEField = value;
        }
    }

    /// <remarks/>
    public string DSC_REASON
    {
        get
        {
            return this.dSC_REASONField;
        }
        set
        {
            this.dSC_REASONField = value;
        }
    }

    /// <remarks/>
    public string DSC_PROMOTION_ID
    {
        get
        {
            return this.dSC_PROMOTION_IDField;
        }
        set
        {
            this.dSC_PROMOTION_IDField = value;
        }
    }

    /// <remarks/>
    public decimal DSC_UNIT_PRICE
    {
        get
        {
            return this.dSC_UNIT_PRICEField;
        }
        set
        {
            this.dSC_UNIT_PRICEField = value;
        }
    }
}

/// <remarks/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
public partial class PUBLISHCONTENTBASKETLINESLINECARRIER
{

    private string cAR_WISH_COMPANYField;

    private string sTORE_CODEField;

    /// <remarks/>
    public string CAR_WISH_COMPANY
    {
        get
        {
            return this.cAR_WISH_COMPANYField;
        }
        set
        {
            this.cAR_WISH_COMPANYField = value;
        }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(DataType = "integer")]
    public string STORE_CODE
    {
        get
        {
            return this.sTORE_CODEField;
        }
        set
        {
            this.sTORE_CODEField = value;
        }
    }
}
}
